SalesOS

Agent Marketplace

Pre-built AI agent library

List available marketplace agents (root)

GET
/v1/agent-marketplace

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Query Parameters

categorystring
searchstring
sortBystring
pricingstring
sortstring
pagestring
limitstring
curl -X GET "https://api.salesos.org/v1/agent-marketplace?category=%3Cstring%3E&search=%3Cstring%3E&sortBy=%3Cstring%3E&pricing=%3Cstring%3E&sort=%3Cstring%3E&page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

List available marketplace agents

GET
/v1/agent-marketplace/agents

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Query Parameters

categorystring
searchstring
sortBystring
Value in: "rating" | "installs" | "newest"
pagestring
limitstring
curl -X GET "https://api.salesos.org/v1/agent-marketplace/agents?category=%3Cstring%3E&search=%3Cstring%3E&sortBy=rating&page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Get agent details

GET
/v1/agent-marketplace/agents/{id}

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring

Agent ID

curl -X GET "https://api.salesos.org/v1/agent-marketplace/agents/<string>" \
  -H "Authorization: Bearer <token>"

Install an agent for the organization

POST
/v1/agent-marketplace/agents/{id}/install

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring

Agent ID

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/agent-marketplace/agents/<string>/install" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>"

{}

Uninstall an agent

DELETE
/v1/agent-marketplace/agents/{id}/uninstall

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring

Agent ID

curl -X DELETE "https://api.salesos.org/v1/agent-marketplace/agents/<string>/uninstall" \
  -H "Authorization: Bearer <token>"

Update agent configuration

PATCH
/v1/agent-marketplace/agents/{id}/configure

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring

Agent ID

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X PATCH "https://api.salesos.org/v1/agent-marketplace/agents/<string>/configure" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

{}

Get reviews for an agent

GET
/v1/agent-marketplace/agents/{id}/reviews

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring

Agent ID

Query Parameters

pagestring
limitstring
curl -X GET "https://api.salesos.org/v1/agent-marketplace/agents/<string>/reviews?page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Submit a review for an agent

POST
/v1/agent-marketplace/agents/{id}/reviews

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring

Agent ID

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/agent-marketplace/agents/<string>/reviews" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

List installed agents for the organization

GET
/v1/agent-marketplace/installations

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

curl -X GET "https://api.salesos.org/v1/agent-marketplace/installations" \
  -H "Authorization: Bearer <token>"

Publish an agent (frontend path)

POST
/v1/agent-marketplace/publish

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Request Body

application/jsonRequired

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/agent-marketplace/publish" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Publish an agent to the marketplace

POST
/v1/agent-marketplace/agents/publish

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Request Body

application/jsonRequired

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/agent-marketplace/agents/publish" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Get marketplace statistics for the organization

GET
/v1/agent-marketplace/stats

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

curl -X GET "https://api.salesos.org/v1/agent-marketplace/stats" \
  -H "Authorization: Bearer <token>"
GET
/v1/agent-marketplace/featured

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

curl -X GET "https://api.salesos.org/v1/agent-marketplace/featured" \
  -H "Authorization: Bearer <token>"
GET
/v1/agent-marketplace/trending

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

curl -X GET "https://api.salesos.org/v1/agent-marketplace/trending" \
  -H "Authorization: Bearer <token>"

Get agent details (frontend root path)

GET
/v1/agent-marketplace/{id}

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/agent-marketplace/<string>" \
  -H "Authorization: Bearer <token>"

Install an agent (frontend root path)

POST
/v1/agent-marketplace/{id}/install

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/agent-marketplace/<string>/install" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>"

{}

Uninstall an agent (frontend root path)

DELETE
/v1/agent-marketplace/{id}/install

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/agent-marketplace/<string>/install" \
  -H "Authorization: Bearer <token>"

Configure an agent (frontend root path)

PATCH
/v1/agent-marketplace/{id}/config

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X PATCH "https://api.salesos.org/v1/agent-marketplace/<string>/config" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>"

{}

Get reviews for an agent (frontend root path)

GET
/v1/agent-marketplace/{id}/reviews

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Path Parameters

idRequiredstring

Query Parameters

pagestring
limitstring
curl -X GET "https://api.salesos.org/v1/agent-marketplace/<string>/reviews?page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Submit a review (frontend root path)

POST
/v1/agent-marketplace/{id}/reviews

Authorization

AuthorizationRequiredBearer <token>

Session token from the SalesOS web app.

In: header

X-API-Key<token>

API key from Settings → API Keys. Authorization: ApiKey <key> is also accepted. Each operation lists the scope it needs under x-api-key-scopes.

In: header

Request Body

application/jsonRequired

Path Parameters

idRequiredstring

Header Parameters

Idempotency-Keystring

Unique key (a UUID is ideal) that makes this write safe to retry for 24 hours: a retry with the same body replays the original response (Idempotent-Replayed: true); the same key with a different body is a 409.

Maximum length: 255
curl -X POST "https://api.salesos.org/v1/agent-marketplace/<string>/reviews" \
  -H "Idempotency-Key: <string>" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{}'